<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_231) on Tue Apr 14 15:58:37 EEST 2020 -->
<title>S-Index</title>
<meta name="date" content="2020-04-14">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="S-Index";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-15.html">Prev Letter</a></li>
<li><a href="index-17.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-16.html" target="_top">Frames</a></li>
<li><a href="index-16.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">L</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">N</a>&nbsp;<a href="index-12.html">O</a>&nbsp;<a href="index-13.html">P</a>&nbsp;<a href="index-14.html">Q</a>&nbsp;<a href="index-15.html">R</a>&nbsp;<a href="index-16.html">S</a>&nbsp;<a href="index-17.html">T</a>&nbsp;<a href="index-18.html">U</a>&nbsp;<a name="I:S">
<!--   -->
</a>
<h2 class="title">S</h2>
<dl>
<dt><span class="memberNameLink"><a href="../model/Client.html#setAddress-java.lang.String-">setAddress(String)</a></span> - Method in class model.<a href="../model/Client.html" title="class in model">Client</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/Order.html#setclientId-int-">setclientId(int)</a></span> - Method in class model.<a href="../model/Order.html" title="class in model">Order</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/Client.html#setId-int-">setId(int)</a></span> - Method in class model.<a href="../model/Client.html" title="class in model">Client</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/Order.html#setId-int-">setId(int)</a></span> - Method in class model.<a href="../model/Order.html" title="class in model">Order</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/Product.html#setId-int-">setId(int)</a></span> - Method in class model.<a href="../model/Product.html" title="class in model">Product</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/Supplier.html#setId-int-">setId(int)</a></span> - Method in class model.<a href="../model/Supplier.html" title="class in model">Supplier</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/Client.html#setName-java.lang.String-">setName(String)</a></span> - Method in class model.<a href="../model/Client.html" title="class in model">Client</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/Product.html#setName-java.lang.String-">setName(String)</a></span> - Method in class model.<a href="../model/Product.html" title="class in model">Product</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/Supplier.html#setName-java.lang.String-">setName(String)</a></span> - Method in class model.<a href="../model/Supplier.html" title="class in model">Supplier</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/Product.html#setPrice-int-">setPrice(int)</a></span> - Method in class model.<a href="../model/Product.html" title="class in model">Product</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/Order.html#setproductId-int-">setproductId(int)</a></span> - Method in class model.<a href="../model/Order.html" title="class in model">Order</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/Order.html#setQuantity-int-">setQuantity(int)</a></span> - Method in class model.<a href="../model/Order.html" title="class in model">Order</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/Product.html#setQuantity-int-">setQuantity(int)</a></span> - Method in class model.<a href="../model/Product.html" title="class in model">Product</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/Product.html#setSupplier-int-">setSupplier(int)</a></span> - Method in class model.<a href="../model/Product.html" title="class in model">Product</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../connection/ConnectionFactory.html#singleInstance">singleInstance</a></span> - Static variable in class connection.<a href="../connection/ConnectionFactory.html" title="class in connection">ConnectionFactory</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../model/Supplier.html" title="class in model"><span class="typeNameLink">Supplier</span></a> - Class in <a href="../model/package-summary.html">model</a></dt>
<dd>
<div class="block">The class representing the supplier table</div>
</dd>
<dt><span class="memberNameLink"><a href="../model/Supplier.html#Supplier-java.lang.String-">Supplier(String)</a></span> - Constructor for class model.<a href="../model/Supplier.html" title="class in model">Supplier</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/Supplier.html#Supplier-int-java.lang.String-">Supplier(int, String)</a></span> - Constructor for class model.<a href="../model/Supplier.html" title="class in model">Supplier</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/Supplier.html#Supplier--">Supplier()</a></span> - Constructor for class model.<a href="../model/Supplier.html" title="class in model">Supplier</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../model/Product.html#supplier_id">supplier_id</a></span> - Variable in class model.<a href="../model/Product.html" title="class in model">Product</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../bll/SupplierBLL.html" title="class in bll"><span class="typeNameLink">SupplierBLL</span></a> - Class in <a href="../bll/package-summary.html">bll</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../bll/SupplierBLL.html#SupplierBLL--">SupplierBLL()</a></span> - Constructor for class bll.<a href="../bll/SupplierBLL.html" title="class in bll">SupplierBLL</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../dao/SupplierDAO.html" title="class in dao"><span class="typeNameLink">SupplierDAO</span></a> - Class in <a href="../dao/package-summary.html">dao</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../dao/SupplierDAO.html#SupplierDAO--">SupplierDAO()</a></span> - Constructor for class dao.<a href="../dao/SupplierDAO.html" title="class in dao">SupplierDAO</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">L</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">N</a>&nbsp;<a href="index-12.html">O</a>&nbsp;<a href="index-13.html">P</a>&nbsp;<a href="index-14.html">Q</a>&nbsp;<a href="index-15.html">R</a>&nbsp;<a href="index-16.html">S</a>&nbsp;<a href="index-17.html">T</a>&nbsp;<a href="index-18.html">U</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-15.html">Prev Letter</a></li>
<li><a href="index-17.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-16.html" target="_top">Frames</a></li>
<li><a href="index-16.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
